/**
 * Created by jimiz on 2017/4/16.
 */
let express = require('express');
let projectController = require('../controllers/project_controller');

module.exports = function (app) {
    let projectRouter = express.Router();

    projectRouter.post('/save', projectController.save);
    projectRouter.post('/getData', projectController.getData);
    projectRouter.post('/markUpdateProject', projectController.markUpdateProject);
    projectRouter.post('/removeProjectMark', projectController.removeProjectMark);
    projectRouter.post('/updateNodes', projectController.updateNodes);
    projectRouter.post('/calcInstallationFee', projectController.calcInstallationFee);
    projectRouter.post('/saveProperty', projectController.saveProperty);
    projectRouter.post('/getDefaultColSetting', projectController.getDefaultColSetting);

    app.use('/project',projectRouter);
};

